commit:     1f3b594dde68ff07ecf429b10b2501660adc0f1d
Author:     Ted Tanberry <ted.tanberry <AT> gmail <DOT> com>
AuthorDate: Sat Oct 10 20:18:12 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Wed Oct 14 12:47:58 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1f3b594d

sci-biology/bowtie: remove REQUIRED_USE

When SSE2 support is not explicitly enabled, the user is
informed by erroring out instead of portage recommending
enabling cpu flags.

 sci-biology/bowtie/bowtie-2.2.6.ebuild | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/sci-biology/bowtie/bowtie-2.2.6.ebuild 
b/sci-biology/bowtie/bowtie-2.2.6.ebuild
index 50aca7e..c15de56 100644
--- a/sci-biology/bowtie/bowtie-2.2.6.ebuild
+++ b/sci-biology/bowtie/bowtie-2.2.6.ebuild
@@ -15,7 +15,6 @@ SLOT="2"
 KEYWORDS="~amd64 ~x86"
 
 IUSE="examples cpu_flags_x86_sse2 tbb"
-REQUIRED_USE="cpu_flags_x86_sse2"
 
 RDEPEND="dev-lang/perl"
 DEPEND="${RDEPEND}
@@ -27,6 +26,13 @@ S="${WORKDIR}/${PN}2-${PV}"
 DOCS=( AUTHORS NEWS TUTORIAL )
 HTML_DOCS=( doc/{manual.html,style.css} )
 
+pkg_pretend() {
+       if ! use cpu_flags_x86_sse2 ; then
+               eerror "This package requires a CPU supporting the SSE2 
instruction set."
+               die "SSE2 support missing"
+       fi
+}
+
 src_compile() {
        emake \
                CC="$(tc-getCC)" \

Reply via email to